Get Pricing Configuration
curl --request GET \
--url https://api.mixpeek.com/v1/billing/pricing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/billing/pricing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/billing/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mixpeek.com/v1/billing/pricing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mixpeek.com/v1/billing/pricing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mixpeek.com/v1/billing/pricing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mixpeek.com/v1/billing/pricing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"credit_rate_usd": 123,
"managed_plans": [
{
"product": "<string>",
"tier": "<string>",
"name": "<string>",
"monthly_price_cents": 123,
"self_serve": true,
"features": [
"<string>"
],
"included_credits": 123,
"included_credits_semantics": "<string>",
"usage_pool_usd": 123,
"overage_rate_usd": 123,
"overage_discount_pct": 123,
"volume_discounts": {},
"resource_limits": {},
"rate_limits": {},
"mvs_limits": {}
}
],
"mvs_plans": [
{
"product": "<string>",
"tier": "<string>",
"name": "<string>",
"monthly_price_cents": 123,
"self_serve": true,
"features": [
"<string>"
],
"included_credits": 123,
"included_credits_semantics": "<string>",
"usage_pool_usd": 123,
"overage_rate_usd": 123,
"overage_discount_pct": 123,
"volume_discounts": {},
"resource_limits": {},
"rate_limits": {},
"mvs_limits": {}
}
],
"mvs_usage_rates": {},
"enterprise_defaults": {},
"extractors": [
{
"feature_extractor_name": "<string>",
"description": "<string>",
"costs": {
"tier": 2,
"tier_label": "<string>",
"rates": [
{
"unit": "minute",
"credits_per_unit": 123,
"description": "<string>"
}
]
}
}
],
"pricing_model": "v2",
"currency": "usd",
"placeholder_rates": false,
"modalities": [
"<unknown>"
],
"usage_pools": {},
"reads": {},
"full_res_multiplier": 2,
"batch_minimum_usd": 0.05,
"custom_model_markup": 0.5
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}Pricing
Get Pricing Configuration
Public pricing rate card. Price = how much content of each file type × (base rate + the search-by features enabled). Returns per-modality rates, tier usage pools, and plan definitions. No authentication required.
GET
/
v1
/
billing
/
pricing
Get Pricing Configuration
curl --request GET \
--url https://api.mixpeek.com/v1/billing/pricing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/billing/pricing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/billing/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mixpeek.com/v1/billing/pricing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mixpeek.com/v1/billing/pricing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mixpeek.com/v1/billing/pricing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mixpeek.com/v1/billing/pricing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"credit_rate_usd": 123,
"managed_plans": [
{
"product": "<string>",
"tier": "<string>",
"name": "<string>",
"monthly_price_cents": 123,
"self_serve": true,
"features": [
"<string>"
],
"included_credits": 123,
"included_credits_semantics": "<string>",
"usage_pool_usd": 123,
"overage_rate_usd": 123,
"overage_discount_pct": 123,
"volume_discounts": {},
"resource_limits": {},
"rate_limits": {},
"mvs_limits": {}
}
],
"mvs_plans": [
{
"product": "<string>",
"tier": "<string>",
"name": "<string>",
"monthly_price_cents": 123,
"self_serve": true,
"features": [
"<string>"
],
"included_credits": 123,
"included_credits_semantics": "<string>",
"usage_pool_usd": 123,
"overage_rate_usd": 123,
"overage_discount_pct": 123,
"volume_discounts": {},
"resource_limits": {},
"rate_limits": {},
"mvs_limits": {}
}
],
"mvs_usage_rates": {},
"enterprise_defaults": {},
"extractors": [
{
"feature_extractor_name": "<string>",
"description": "<string>",
"costs": {
"tier": 2,
"tier_label": "<string>",
"rates": [
{
"unit": "minute",
"credits_per_unit": 123,
"description": "<string>"
}
]
}
}
],
"pricing_model": "v2",
"currency": "usd",
"placeholder_rates": false,
"modalities": [
"<unknown>"
],
"usage_pools": {},
"reads": {},
"full_res_multiplier": 2,
"batch_minimum_usd": 0.05,
"custom_model_markup": 0.5
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}Authorizations
Response
Successful Response
Was this page helpful?

